Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

ContentDraftListItem.php
Go to the documentation of this file.
1 <?php
2
7 declare(strict_types=1);
8
9 namespace eZ\Publish\API\Repository\Values\Content\DraftList\Item;
10
11 use eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface;
12 use eZ\Publish\API\Repository\Values\Content\VersionInfo;
13
17 class ContentDraftListItem implements ContentDraftListItemInterface
18 {
22 private $versionInfo;
23
27 public function __construct(VersionInfo $versionInfo)
28 {
29 $this->versionInfo = $versionInfo;
30 }
31
35 public function getVersionInfo(): ?VersionInfo
36 {
37 return $this->versionInfo;
38 }
39
43 public function hasVersionInfo(): bool
44 {
45 return $this->versionInfo instanceof VersionInfo;
46 }
47 }
eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem
Item of content drafts list.
Definition: ContentDraftListItem.php:18
eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\__construct
__construct(VersionInfo $versionInfo)
Definition: ContentDraftListItem.php:27
eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\hasVersionInfo
hasVersionInfo()
Definition: ContentDraftListItem.php:43
eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\getVersionInfo
getVersionInfo()
Definition: ContentDraftListItem.php:35
eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\$versionInfo
$versionInfo
Definition: ContentDraftListItem.php:22
eZ\Publish\API\Repository\Values\Content\VersionInfo
Definition: API/Repository/Values/Content/VersionInfo.php:27
eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface
Definition: ContentDraftListItemInterface.php:14
eZ\Publish\API\Repository\Values\Content\DraftList\Item
Definition: ContentDraftListItem.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.